org.h2.util

## Class CacheHead

- java.lang.Object
- - org.h2.util.CacheObject
  - - org.h2.util.CacheHead

All Implemented Interfaces:
  java.lang.Comparable<CacheObject>

    public class CacheHead
    extends CacheObject

The head element of the linked list.

### Field Summary

### Fields inherited from class org.h2.util.CacheObject

`cacheChained, cacheNext, cachePrevious`

### Constructor Summary

Constructors
Constructor and Description
`CacheHead()`

### Method Summary

Methods
`boolean` `canRemove()` Check if the object can be removed from the cache.
`int` `getMemory()` Get the estimated used memory.

### Methods inherited from class org.h2.util.CacheObject

`compareTo, getPos, isChanged, isStream, setChanged, setPos`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CacheHead

    public CacheHead()

### Method Detail

#### canRemove

    public boolean canRemove()

Description copied from class: `CacheObject`
Check if the object can be removed from the cache. For example pinned objects can not be removed.

Specified by:
  `canRemove` in class `CacheObject`
Returns:
  true if it can be removed

#### getMemory

    public int getMemory()

Description copied from class: `CacheObject`
Get the estimated used memory.

Specified by:
  `getMemory` in class `CacheObject`
Returns:
  number of words (one word is 4 bytes)